Teymi

GET https://tistos.com/api/teams/
curl --request GET \
--url 'https://tistos.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
Parametrar Aðgerðir Lýsing
search Valfrjálst Strengur Leitarstrengurinn.
search_by Valfrjálst Strengur Hvaða svið ertu að leita að? Leyfðar gildi eru: name.
datetime_field Valfrjálst Strengur Leyfðar gildi: datetime, last_datetime
datetime_start Valfrjálst Strengur Sía niðurstöður frá þessari dagsetningu og tíma. Snið Y-m-d H:i:s.
datetime_end Valfrjálst Strengur Sía niðurstöður fram að þessari dagsetningu og tíma. Snið Y-m-d H:i:s.
order_by Valfrjálst Strengur Hvað svið á að raða niðurstöðunum eftir. Leyfðar gildi eru: team_id, datetime, last_datetime, name.
order_type Valfrjálst Strengur Röðun niðurstaðna. Leyfð gildi eru: ASC fyrir hækkandi röðun, og DESC fyrir lækkandi röðun.
page Valfrjálst Heildartala Síðutalan sem þú vilt fá niðurstöður frá. Sjálfgefið er 1.
results_per_page Valfrjálst Heildartala Hversu marga niðurstöður viltu á hverja síðu. Leyfð gildi eru: 10, 25, 50, 100, 250, 500, 1000. Sjálfgefið er 25.
{
    "data": [
        {
            "id": 1,
            "name": "Example team",
            "team_members": [
                {
                    "team_member_id": 1,
                    "user_email": "[email protected]",
                    "access": {
                        "read": true,
                        "create": true,
                        "update": true,
                        "delete": false
                    },
                    "status": 1,
                    "datetime": "2026-07-18 11:35:58",
                    "last_datetime": null
                }
            ],
            "last_datetime": null,
            "datetime": "2026-07-18 11:35:58",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/teams?page=1",
        "last": "https://tistos.com/api/teams?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/teams?page=1"
    }
}
GET https://tistos.com/api/teams/{team_id}
curl --request GET \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Example team",
        "team_members": [
            {
                "team_member_id": 1,
                "user_email": "[email protected]",
                "access": {
                    "read": true,
                    "create": true,
                    "update": true,
                    "delete": false
                },
                "status": 1,
                "datetime": "2026-07-18 11:35:58",
                "last_datetime": null
            }
        ],
        "last_datetime": null,
        "datetime": "2026-07-18 11:35:58",
    }
}
POST https://tistos.com/api/teams
Parametrar Aðgerðir Lýsing
name Skyldugur Strengur -
curl --request POST \
--url 'https://tistos.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
    "data": {
        "id": 1
    }
}
POST https://tistos.com/api/teams/{team_id}
Parametrar Aðgerðir Lýsing
name Valfrjálst Strengur -
curl --request POST \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
    "data": {
        "id": 1
    }
}
DELETE https://tistos.com/api/teams/{team_id}
curl --request DELETE \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \